# findAllMixinArguments abstract method

List<Class> findAllMixinArguments(

1. Class parentClass, [
2. bool declared = true

])

Retrieves all type arguments from all mixins applied to a class.

Parameters:

- `parentClass`: The class whose mixin arguments should be retrieved.
- `declared`: Whether to include inherited mixins (default: `true`).

Returns:

- A list of Class instances representing all mixin type arguments.

## Example

    final exampleClass = await loader.loadClass<MyClass>('package:example/test.dart.MyClass');
    final args = loader.findAllMixinArguments(exampleClass);

## Implementation

    List<Class> findAllMixinArguments(Class parentClass, [bool declared = true]);